Questions tagged [software-installation]

Installing software on a running system, either as binaries or from source. This is usually done using your system's package manager.

Filter by
Sorted by
Tagged with
0
votes
0answers
7 views

make[3]: *** [MP_constant.lo] Error 1

please please help me I am trying to install coin-or. I am in step of configuration : from this guide : https://ma.juii.net/blog/install-coin-or when I type : sudo make -j 2 I get this errors:...
0
votes
0answers
11 views

how to check if MKL is installed and find it's path

Please help me out. it has been 3 hours that I am trying to install OSQP. I needed to install MKL. I downloaded the full package and installed it. but I don't know where is it and how I can check if ...
0
votes
0answers
13 views

Error: winehq-devel : Depends: wine-devel (= 4.14~bionic)

Similar to this -- trying to install wine from the winehq repo. I initially had trouble with the repo. I did try a recommended fix for held broken packages. It did not report any, and still failed ...
1
vote
1answer
35 views

Producing 'installers' on Linux [on hold]

can you help me with best practices or things that i should keep in mind while we produce an 'installer' for my software (Java based)? what are the steps or phases in which this should be done? I ...
1
vote
1answer
38 views

How to install a FORTRAN compiler on macOS?

I am trying to install a Fortran compiler on my Mac Pro 2019 (running macOS). First step is: sudo apt-get install gfortran but I get error: command not found I also tried brew install gfortran ...
0
votes
0answers
26 views

What is the correct command for installing etcher (or its image) to debian, 32-bit?

Trying to install etcher. I have a command for it, but it appears to be for 64-bit (ie: "amd64.deb"). I changed the 64 to 32 in the command line, but it does not work. I spent 3-hours trying every ...
-1
votes
1answer
29 views

yum + dependencies not logical when installing openjdk

we are tryng to install the java-1.8.0-openjdk-devel-1.8.0.161-2.b14.el7.x86_64.rpm yum localinstall java-1.8.0-openjdk-devel-1.8.0.161-2.b14.el7.x86_64.rpm Loaded plugins: langpacks, product-id, ...
1
vote
1answer
25 views

How to install LaTeX package linguex to Ubuntu?

I would like to write a latex document that contains numbered sentences. I was suggested to use package linguex at https://tex.stackexchange.com/a/504304. How can I install it to Ubuntu?
0
votes
1answer
47 views

Cannot install default-jre - package 'default-jre' has no installation candidate

If I type java -version I get Command 'java' not found, but can be installed with: sudo apt install default-jre sudo apt install openjdk-11-jre-headless sudo apt install openjdk-8-jre-headless (...
0
votes
2answers
28 views

Temporary package installation

How can I install some packages temporarily and easily remove them when unwanted several months/years later? The reason for this is that I like to extensively test software before deciding whether to ...
0
votes
0answers
19 views

Installing an older version of terragrunt Ubuntu

This is my first time trying to install this package. I am on an SSH console to a VM so no GUI. I need to install version 0.18.7 which can only be accessed from the github repo page. I downloaded it ...
2
votes
1answer
38 views

Command 'electrum' not found

I just installed (using sudo -H) electrum 3.3.8 on 18.04 LTS ubuntu and it looks like everything works: the results of python3 -m pip install --user Electrum-3.3.8.tar.gz[fast] are: Successfully ...
1
vote
1answer
34 views

mosquitto_sub –d –t armtronix_mqtt Error: Unknown option '–d'

What information can be gleaned for corrective action to enable subscription to the example MQTT topic? The goal is to reproduce the test (subscribe & publish), per the instruction's Step 3: an ...
0
votes
0answers
20 views

openSUSE - Install latest PHP from source

I have PHP 7.2.5 and I need to upgrade to the latest PHP. First I purged the old php by executing apt-get purge php7 Then I downloaded php-7.3.7 extracted it to my webserver and executed ./configure ...
0
votes
0answers
14 views

Installed zsteg with gem but command isn't recognised

I installed zsteg with gem with the line "sudo gem install zsteg" and everything installed perfectly, but when I type "zsteg" or any valid command that the zsteg documentation says should work all I ...
0
votes
1answer
16 views

How to install Telegram-messenger on Puppy Linux?

I want to install Telegram-messenger (latest version) on Puppy Linux. How to solve this question? Thank in advance !
1
vote
1answer
30 views

Installing Java on FreeBSD: `sudo pkg install openjdk11-11.0.4+11.1` fails to find package despite being listed in the “FreeBSD Ports Search” page

On the FreeBSD Ports Search page, I see results listing an item openjdk11-11.0.4+11.1. When I try to install that: $ sudo pkg install openjdk11-11.0.4+11.1 …I get error saying the package could ...
1
vote
1answer
25 views

How to debug a program hanging when launched?

I've upgraded my Slackware 14.2 install and Scribus stopped working : when I launch it in a terminal, it just hangs, nothing happen — even when just querying help or version (scribus -h or scribus -v)....
0
votes
0answers
25 views

Wine does not want to install on KDE neon

I’m using KDE neon and tried to install Wine.  However, if I install it, I always get: sudo apt install wine-stable Reading package lists... Done Building dependency tree Reading state ...
0
votes
0answers
67 views

Amarok fails to load on Debian Buster / Devuan Beowulf

I've downloaded and built Amarok 2.9.0 on Devuan Beowulf (= Debian Buster without systemd) - after installing a whole bunch of prerequisite Qt and KDE-related packaged. The build passed (after a bit ...
4
votes
2answers
421 views

Why does pip3 install in ~/.local on Debian?

I'm testing Debian 10 in a VM to check if i can use it for my stream servers (headless minimal netinstall). Why does pip3 install, e.g supervisor, in ~/.local? I did read the release notes but ...
0
votes
1answer
37 views

Install Postgres database on FreeBSD

How does one go about discovering and installing the Postgres database system onto a FreeBSD machine? Must one install the entire gig of data for the entire Ports tree, and then compile from source? ...
0
votes
0answers
39 views

How to fix broken Debian?

These errors (see pic. 1 and 2) appear every time I boot in Debian. I tried to update from stretch to buster, but it didn't have any effect. I have dual boot with Windows 10, so that potentially might ...
3
votes
2answers
141 views

Package, repository and installation process in Linux

I read many articles on the internet about how to install a program on Linux, for example Ubuntu, but I'm still confused! What I understand 'till now is: First, we should add repository that ...
0
votes
1answer
30 views

Configure Zulip chat

I am trying to install Zulip chat on Ubuntu but get this error: bash: ./scripts/setup/install: /usr/bin/env: bad interpreter: Permission denied I would really appreciate it if someone could help me ...
1
vote
1answer
14 views

No package g++ available. on HDP sandbox

I am trying to figure out how to install g++ on Hortonworks HDP [root@sandbox-hdp Lesson-5.2_pipes]# uname -a Linux sandbox-hdp.hortonworks.com 4.19.5-1.el7.elrepo.x86_64 #1 SMP Tue Nov 27 12:40:57 ...
-1
votes
1answer
33 views

Installing software in Kali Linux

I'm unable to install any software in Kali Linux. I tried to fix it by the solution given online. According to that solution, first open terminal and then type "gedit etc/apt/source.list" and then ...
0
votes
0answers
34 views

Binary file permissions issue

I've been facing an issue with NordVPN binary installation after I compiled a package and install it at the end it says processing changes... and then cannot remove /var/lib/nordvpn/data/insights.dat ...
1
vote
1answer
24 views

How to avoid prompts with install linux-image-extra-virtual

When trying to install linux-image-extra-virtual I get the usual prompt about /boot/grub/menu.lst being modified: What would you like to do about it ? Your options are: install the package ...
0
votes
0answers
25 views

How can I download “sysinstall” on CentOS7?

My professor has specific instructions in my homework to: "use sysinstall to execute the menu system at the the command prompt" It sounds silly to me because yum is the default package manager on ...
1
vote
1answer
12 views

libSDL not recognized in installer

I'm trying to install Rejoystick for my system (Latest version of GalliumOS), and when I run ./configure (What README says to do) it spits out the error that I don't have libSDL. But running sudo ...
0
votes
3answers
29 views

Install the PHP drivers for Microsoft SQL Server

I'm using web server nginx, php 7.1 fpm and laravel in Centos 7. I want to install SQL Server following the official installation tutorial for Linux but I'm confused with this command: echo extension=...
0
votes
2answers
102 views

How can I install gufw on fedora?

I want to install gufw on my Fedora, but I do not know how to do that. I tried to install with the dnf package manager command but it doesn't work and gets this output: No match for argument: gufw ...
3
votes
2answers
135 views

How to install gcov-tool to RHEL?

I thought that gcov-tool is part of gcc standard package, which is true for Ubuntu. But unfortunately it's not true for RHEL. I didn't succeed to find RHEL package name to install gcov-tool. Does ...
0
votes
0answers
18 views

i dont have Ettercap conf file when reinstall Ettercap

I don't have ettercap files, they don't generate when installing ettercap. I tried with apt-get install ettercap-graphical aptitude ettercap-graphical but it didn't generate ettercap files. ...
0
votes
1answer
34 views

Update bash-completion automatically when installing package

I'm having trouble trying to update automatically the bash completion in the current bash session when installing a package. My package installs the completion file in /usr/share/bash-completion/...
2
votes
1answer
53 views

Transfer RPMs file with Ansible and localinstall them

I am having the following yaml ansible-playbook and want to transfer the rpms and then localinstall them on the remote machine. Until the transfer file step its working fine however on the ...
0
votes
0answers
22 views

R3.5 intallation error on Linux Mint 19

Since I have got to use R>=3.5 as one of the core prerequisites for my bioinformatics, I've tried to install it on my Linux Mint 19. However, upon strictly following this tutorial, I realised that ...
0
votes
1answer
20 views

Reinstalling plasma-pa on OpenSUSE

I am trying to reinstall plasma-pa on OpenSUSE tumbleweed. Unfortunately, I cannot find any tumbleweed repos and the only downloadable source I can find are these two: https://www.archlinux.org/...
1
vote
1answer
74 views

How to install unity 3d on Arch Linux

According to wiki the only thing that I need to install is unity-editor. After I run unity-editor I get: When I follow the link, I get to https://store.unity.com/download and the official site says ...
1
vote
2answers
42 views

switch between multiple versions of software

I am using update-alternatives to configure multiple versions of software installed on my machine. The software has multiple executables A, B and C. To switch between versions I need to install and ...
1
vote
1answer
104 views

Pop!_OS: Spotify Downloader (spotdl: command not found)

I recently installed spotdl (Spotify Downloader) by following the instructions given at GitHub's Installation page. However, when I try to run the tool and execute the commands provided at the project ...
0
votes
0answers
9 views

Error while installing Open Media Vault packages

I am not very knowledgable when running a Linux NAS server. When I try and install updates or packages on Open Media Vault, I get an error about something to do with Locking. Could someone explain ...
1
vote
1answer
34 views

Can I install Nagios on Debian and can I do it from repository?

I want to install Nagios and I have my Debian VM running. On Nagios official site they say we need a minimal version of either CentOS or red hat. But can I install Nagios on Debian? Another issue is ...
0
votes
0answers
11 views

Install nr-collectd-plugin on CentOS

I am trying to use my existing collectd to send metrics to newrelic. At https://github.com/newrelic/nri-collectd it says I need to install nr-collectd-plugin on the same instance as the agent. How ...
0
votes
1answer
33 views

nix package manage: can't install firefox

Tried to install firefox, at first the dependent packages were installed correctly. But at the end I got the following errors: $nix-env -i firefox-67.0.1 ... post-installation fixup Moving /nix/store/...
0
votes
0answers
63 views

How to install PHP simple HTML DOM Parser on Linux (Debian)?

I have just started learning web scraping, and so far, I have understood that I need to install a library called simple_html_dom. Everywhere I have seen for now, people download it from sourceforge ...
0
votes
2answers
149 views

Unable to locate package python-pip

I am running Debian 9 and I want to install python pip but there is an error: E: Unable to locate package python-pip I've tried sudo apt-get update && sudo apt-get python-pip, but I am still ...
0
votes
0answers
39 views

AssertionError: google.cloud.logging .dist-info directory not found

I am testing minigo: https://github.com/tensorflow/minigo According to the README steps: pip3 install -r requirements.txt I see this error: Exception: Traceback (most recent call last): File "/...
1
vote
2answers
44 views

Install so file in ubuntu 18.4

I wrote a simple application in python and compiled it with cython, which generated .so files as shown below: $ ls -l total 2040 -rw-r--r-- 1 groot groot 486 Jun 14 15:50 compile.py -rwxr-...